function loglik = ETEL_loglik(gmat)
%Calculate the ET objective based on matrix of moment values
ET_obj=@(eta) sum(exp(gmat*eta)-1);
moment_dim=size(gmat,2);
options=optimset('Display','off');
[etahat, ETloglik]=fminunc(ET_obj,zeros(moment_dim,1),options);
loglik=sum(gmat*etahat-log(mean(exp(gmat*etahat))));
end

